> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open-aspm.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Repos From Group

> Remove multiple repositories from a group.



## OpenAPI

````yaml api-reference/openapi.json put /groups/{group_id}/remove_repos
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://example.com/api
    description: Replace example.com with your app server
security: []
paths:
  /groups/{group_id}/remove_repos:
    put:
      tags:
        - Groups
      summary: Remove Repos From Group
      description: Remove multiple repositories from a group.
      operationId: remove_repos_from_group_controller_groups__group_id__remove_repos_put
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: integer
            title: Group Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReposRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReposRequest:
      properties:
        repo_ids:
          items:
            type: integer
          type: array
          title: Repo Ids
          example:
            - 1
            - 2
            - 3
      type: object
      required:
        - repo_ids
      title: ReposRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````